Loading...
Searching...
No Matches
BALL::VIEW::InputPlugin Class Referenceabstract

`#include <BALL/VIEW/INPUT/inputPlugin.h>`

## Public Member Functions

virtual | ~InputPlugin ()
virtual void | setReceiver (QWidget *receiver)=0
virtual InputDeviceDriver * | startDriver ()=0

## Detailed Description

Definition at line 12 of file inputPlugin.h.

## Constructor & Destructor Documentation

## ~InputPlugin()

virtual BALL::VIEW::InputPlugin::~InputPlugin | ( |  | ) |

inline virtual

Definition at line 15 of file inputPlugin.h.

## Member Function Documentation

## setReceiver()

virtual void BALL::VIEW::InputPlugin::setReceiver | ( | QWidget * | receiver | ) |

pure virtual

Set the receiver of the events emited by the input device.

## startDriver()

virtual InputDeviceDriver * BALL::VIEW::InputPlugin::startDriver | ( |  | ) |

pure virtual

Starts the input device driver and makes it send events.

Returns
  A pointer to the started driver